https://bugs.gentoo.org/829591
https://gitlab.gnome.org/GNOME/at-spi2-core/-/commit/2175d89198440d948075f3268aec5f45430afb3d

From 2175d89198440d948075f3268aec5f45430afb3d Mon Sep 17 00:00:00 2001
From: Tim Orling <ticotimo@gmail.com>
Date: Fri, 15 Oct 2021 12:44:39 -0700
Subject: [PATCH] Ensure x11_dep is defined

bus/meson.build checks if x11_dep.found(), but this fails when
-Dx11=no

References:
  https://gitlab.gnome.org/GNOME/at-spi2-core/-/issues/42
  https://mesonbuild.com/howtox.html#get-a-default-notfound-dependency

Signed-off-by: Tim Orling <ticotimo@gmail.com>
---
 meson.build | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/meson.build b/meson.build
index b5104c8c..cfd2e091 100644
--- a/meson.build
+++ b/meson.build
@@ -62,6 +62,8 @@ endif
 
 x11_deps = []
 x11_option = get_option('x11')
+# ensure x11_dep is defined for use elsewhere, such as bus/meson.build
+x11_dep = dependency('', required: false)
 if x11_option != 'no'
   x11_dep = dependency('x11', required: false)
 
-- 
GitLab

